Package be.vlaanderen.mercurius.vsb_ewzcfin.schemas.v1

# Class BedPeriodType

java.lang.Object
be.vlaanderen.mercurius.vsb_ewzcfin.schemas.v1.BedPeriodType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:19:48+02:00", comments="JAXB RI v4.0.5") public class BedPeriodType extends Object implements Serializable
Periode waar de periode in een bepaald type woongelegenheid verbleef

Java class for BedPeriodType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="BedPeriodType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="BedPeriodStartTime" type="{http://www.w3.org/2001/XMLSchema}dateTime"/>
             <element name="Bed" type="{http://www.mercurius.vlaanderen.be/vsb-ewzcfin/schemas/v1}BedType"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BedPeriodType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `BedType`
  `getBed()`
  Type woongelegenheid
  `Instant`
  `getBedPeriodStartTime()`
  Datum en tijd waarop de persoon werd opgenomen in dit type woongelegenheid
  `void`
  `setBed(BedType value)`
  Sets the value of the bed property.
  `void`
  `setBedPeriodStartTime(Instant value)`
  Sets the value of the bedPeriodStartTime property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### BedPeriodType

    public BedPeriodType()

- ## Method Details

  - ### getBedPeriodStartTime

    public Instant getBedPeriodStartTime()
    Datum en tijd waarop de persoon werd opgenomen in dit type woongelegenheid
    Returns:
      possible object is `String`

  - ### setBedPeriodStartTime

    public void setBedPeriodStartTime(Instant value)
    Sets the value of the bedPeriodStartTime property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getBedPeriodStartTime()`

  - ### getBed

    public BedType getBed()
    Type woongelegenheid
    Returns:
      possible object is `BedType`

  - ### setBed

    public void setBed(BedType value)
    Sets the value of the bed property.
    Parameters:
      `value` - allowed object is `BedType`
    See Also:
      - `getBed()`